/*@font-face{
    font-family: 'Source Code Pro';
    font-weight: 500;
    font-style: normal;
    font-stretch: normal;
    src: url('./WOFF2/TTF/SourceCodePro-Medium.ttf.woff2') format('woff2'),
         url('./WOFF/OTF/SourceCodePro-Medium.otf.woff') format('woff'),
         url('./OTF/SourceCodePro-Medium.otf') format('opentype'),
         url('./TTF/SourceCodePro-Medium.ttf') format('truetype');
}
decided to host on google fonts based on the network stats that it uses less space
*/

@-webkit-keyframes cursor-blink { /*css animation for the cursor blink taken from a codepen*/
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@-moz-keyframes cursor-blink { /*css animation for the cursor blink taken from a codepen*/
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes cursor-blink { /*css animation for the cursor blink taken from a codepen*/
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

html, body {
  cursor : none;
  background-color: black; /* black bg for terminal vibe */
}

.terminal {  /*actual terminal holder*/
  position: relative;
  padding-top: 25px;
}

.terminal .prompt { /* styling for each prompt*/
  color: #1ff042;
  display: block;
  font-family: 'Source Code Pro', monospace; /* source code pro font, used for terminals usually*/
  font-weight: bold;
  font-size: 12pt;
  letter-spacing: 0.15em;
  white-space: pre-wrap;
  text-shadow: 0 0 2px rgba(31, 240, 66, 0.75);
  line-height: 1.5;
  margin-bottom: 0.75em;
}

 .terminal .prompt:before { /* for the command context text (the username@directory > thing) */
  content: attr(command-context);
  display: inline-block;
}

.terminal .promptNoBefore { /* for prompts that don't have a command conext text */
  color: #1ff042;
  display: block;
  font-family: 'Source Code Pro', monospace; /* source code pro font, used for terminals usually*/
  font-weight: bold;
  font-size: 12pt;
  letter-spacing: 0.15em;
  white-space: pre-wrap;
  text-shadow: 0 0 2px rgba(31, 240, 66, 0.75);
  line-height: 1.5;
  margin-bottom: 0.75em;
}

.terminal .new-output { /* styling for a new prompt */
  display: inline-block;
  line-height: 1.5;
}

.terminal .new-output:after { /* cursor blink animation taken from a codepen */
  display: inline-block;
  vertical-align: -0.15em;
  width: 0.75em;
  height: 1em;
  margin-left: 5px;
  background: #1ff042;
  box-shadow: 1px 1px 1px rgba(31, 240, 66, 0.65), -1px -1px 1px rgba(31, 240, 66, 0.65), 1px -1px 1px rgba(31, 240, 66, 0.65), -1px 1px 1px rgba(31, 240, 66, 0.65);
  -webkit-animation: cursor-blink 1.25s steps(1) infinite;
  -moz-animation: cursor-blink 1.25s steps(1) infinite;
  animation: cursor-blink 1.25s steps(1) infinite;
  content: '';
}

.text-center { /* reimplementing this class from bootstrap that was not in my customized bootstrap build*/
  text-align: center !important;
}
